API Doc
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
  1. 3.1 Payout
  • Unified API Request Param
  • Unified Async Notification Param
  • Open API Common Code List
  • 1. Account
    • Country Code
    • 1.1 Balance Inquiry
      POST
    • 1.2 Report Download
      POST
  • 2. Philippines
    • 2.1 Payout
      • Payout Channel List
      • 2.1.1 Create Payout
      • 2.1.2 Check Payment Status
      • 2.1.3 Payout Notification
    • 2.2 Payment - dynamic order
      • Philippines Payment Channel List
      • 2.2.1 Create Payment
      • 2.2.2 Check Payment Status
      • 2.2.3 Payment Notification
    • 2.3 Payment - static order
      • Philippines Payment Channel List
      • 2.3.1 Create Payment
      • 2.3.2 Payment Code Detail
      • 2.3.3 Query Static Payment List
      • 2.3.4 Payment Notification
      • 2.3.5 PaymentCode Cancel
  • 3. Indonesia
    • 3.1 Payout
      • Disburse Channel List
      • 3.1.1 Create Payout
        POST
      • 3.1.2 Check Payout Status
        POST
      • 3.1.3 Payout Notification
        POST
    • 3.2 Payment - dynamic order
      • Indonesia Payment Channel List
      • 3.2.1 Create Payment
      • 3.2.2 Check Payment Status
      • 3.2.3 Payment Notification
    • 3.3 Payment - static order
      • Channel List
      • 3.3.1 Create Payment
      • 3.3.2 Payment Code Detail
      • 3.3.3 Query Static Payment List
      • 3.3.4 Payment Notification
  • 4. Malaysia
    • 4.1 Payout
      • Payout Channel List
      • 4.1.1 Create Payout
      • 4.1.2 Check Payout Status
      • 4.1.3 Payout Notification
    • 4.2 Payment
      • Malaysia Payment Channel List
      • 4.2.1 Create Payment
      • 4.2.2 Check Payment Status
      • 4.2.3 Payment Notification
  • 5. Thailand
    • 5.1 Payout
      • Payout Channel List
      • 5.1.1 Create Payout
      • 5.1.2 Check Payout Status
      • 5.1.3 Payout Notification
    • 5.2 Payment - dynamic order
      • Thailand Payment Channel List
      • Wechat Webpage Authorization Reference
      • Wechat Calls Payment Reference
      • 5.2.1 Create Payment
      • 5.2.2 Check Payment Status
      • 5.2.3 Payment Notification
    • 5.3 Payment - static order
      • Channel List
      • 5.3.1 Create Payment
      • 5.3.2 Payment Code Detail
      • 5.3.3 Query Static Payment List
      • 5.3.4 Payment Notification
  • 6. Russia
    • 6.1 Payment
      • Russia Payment Channel List
      • 6.1.1 Create Payment
      • 6.1.2 Check Payment Status
      • 6.1.3 Payment Notification
  • 7. Refund
    • Refund Support Channel List
    • Refund Status Enum
    • 7.1 Refund
      POST
    • 7.2 Get Refund Payments
      POST
    • 7.3 Refund Notification
      POST
  1. 3.1 Payout

3.1.3 Payout Notification

POST
/xxx
The callback interface is implemented by the merchant to notify the merchant of repayment transaction details when the user completes the repayment transaction.

Request

Body Params application/json

Example
{
    "param": "{\"amount\":10000,\"createTime\":\"2023-03-02 09:25:12\",\"eventName\":\"disbursement.success\",\"mchOrderId\":\"TestMchOrderIdD0001\",\"remark\":\"remark\",\"returnTime\":\"2023-03-02 09:25:12\",\"transactionId\":\"D1631118424367169536\", \"transactionStatus\":\"COMPLETED\"}",
    "sign": "abcdef"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/xxx' \
--header 'Content-Type: application/json' \
--data-raw '{
    "param": "{\"amount\":10000,\"createTime\":\"2023-03-02 09:25:12\",\"eventName\":\"disbursement.success\",\"mchOrderId\":\"TestMchOrderIdD0001\",\"remark\":\"remark\",\"returnTime\":\"2023-03-02 09:25:12\",\"transactionId\":\"D1631118424367169536\", \"transactionStatus\":\"COMPLETED\"}",
    "sign": "abcdef"
}'

Responses

🟢200SUCCESS
application/json
Body

Example
{
    "code": 10000,
    "message": "Success"
}
Previous
3.1.2 Check Payout Status
Next
Indonesia Payment Channel List
Built with